activemq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Christopher G. Stach II (JIRA)" <j...@apache.org>
Subject [jira] Commented: (AMQ-531) XBean has a runtime issue with Spring 2.0M2
Date Sun, 21 May 2006 06:54:51 GMT
    [ https://issues.apache.org/activemq/browse/AMQ-531?page=comments#action_36186 ] 

Christopher G. Stach II commented on AMQ-531:
---------------------------------------------

This also affects AMQ 4.0 release and Spring 2.0 M4 with this exception:

java.lang.NoSuchMethodError: org.springframework.beans.factory.xml.XmlBeanDefinitionReader.setValidating(Z)V
        at org.apache.xbean.spring.context.impl.XBeanXmlBeanDefinitionReader.<init>(XBeanXmlBeanDefinitionReader.java:56)
        at org.apache.xbean.spring.context.ResourceXmlApplicationContext.loadBeanDefinitions(ResourceXmlApplicationContext.java:87)
        at org.springframework.context.support.AbstractRefreshableApplicationContext.refreshBeanFactory(AbstractRefreshableApplicati
onContext.java:89)
        at org.springframework.context.support.AbstractApplicationContext.refresh(AbstractApplicationContext.java:279)
        at org.apache.xbean.spring.context.ResourceXmlApplicationContext.<init>(ResourceXmlApplicationContext.java:64)
        at org.apache.xbean.spring.context.ResourceXmlApplicationContext.<init>(ResourceXmlApplicationContext.java:52)
        at org.apache.activemq.xbean.BrokerFactoryBean.afterPropertiesSet(BrokerFactoryBean.java:76)
        at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.invokeInitMethods(AbstractAutowireCapableBea
nFactory.java:877)

> XBean has a runtime issue with Spring 2.0M2
> -------------------------------------------
>
>          Key: AMQ-531
>          URL: https://issues.apache.org/activemq/browse/AMQ-531
>      Project: ActiveMQ
>         Type: Bug

>   Components: Broker
>     Versions: 4.0 M4
>  Environment: Spring 2.0M2
>     Reporter: Ben Hale
>     Assignee: james strachan
>      Fix For: 4.1

>
>
> Apparently there is an issue with XBean now that Spring 2.0 (starting with M2) is compiled
against a Java 5 compiler (http://jira.codehaus.org/browse/XB-7).  It's probably worth investigating
how long before XBean releases a fix and postponing the 4.0 release until they do.  If not,
at least documenting in a known issues list that ActiveMQ 4.0 can't working with 2.0M2 and
later until a later release where they do fix it.

-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators:
   https://issues.apache.org/activemq/secure/Administrators.jspa
-
For more information on JIRA, see:
   http://www.atlassian.com/software/jira


Mime
View raw message